# This script downloads all the available raw data used. It must be
# run in an environment with an internet connection i.e. not on a worker node.

suppressMessages({
  library(TENxPBMCData)
  library(scRNAseq)
  library(AnnotationHub)
  library(zellkonverter)
})

raw_lawlor <- LawlorPancreasData()
saveRDS(raw_lawlor, here::here("data", "raw_data", "lawlor.rds"))

raw_pbmc3k <- TENxPBMCData(dataset = "pbmc3k")
saveRDS(raw_pbmc3k, here::here("data", "raw_data", "pbmc3k.rds"))

raw_zeisel <- zeisel <- ZeiselBrainData()
saveRDS(raw_zeisel, here::here("data", "raw_data", "zeisel.rds"))

edb <- AnnotationHub()[["AH73881"]]
saveDb(edb, here::here("data", "edb.sqlite"))

# We assume (perhaps slightly oddly given the name of this file) that the raw
# .h5ad  file has already been downloaded.)
# FIXME: Download the data as part of this file.

path <- here::here(
  "data",
  "downloaded_data",
  "mouse_brain_snRNA_with_UMAP_astrocytes_cellxgene.h5ad"
)

astrocyte_sce <- readH5AD(path)
saveRDS(astrocyte_sce, here::here("data", "raw_data", "astrocyte.rds"))
